<?php

class Waindigo_ResMans_Template_Helper
{

    public static function link($type, $data = null)
    {
        $parts = explode('/', $type);

        $originalPrefix = $parts[0];

        Waindigo_ResMans_ResourceManager::setAlternativeOriginalPrefix($originalPrefix);

        $link = XenForo_Template_Helper_Core::link($type, $data);

        Waindigo_ResMans_ResourceManager::setAlternativeOriginalPrefix('');

        return $link;
    } /* END link */
}